<?php

namespace Lc\CaracoleBundle\Factory\PointSale;

use App\Entity\PointSale\PointSaleSection;
use Lc\CaracoleBundle\Model\PointSale\PointSaleInterface;
use Lc\CaracoleBundle\Model\PointSale\PointSaleSectionInterface;
use Lc\CaracoleBundle\Model\Section\SectionInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class PointSaleSectionFactory extends AbstractFactory
{

    public function create(PointSaleInterface $pointSale, SectionInterface $section): PointSaleSectionInterface
    {
        $pointSaleSection = new PointSaleSection();

        $pointSaleSection->setPointSale($pointSale);
        $pointSaleSection->setSection($section);

        return $pointSaleSection;
    }

}
